Subject: Re: bug#36908: parted optimal alignment fails minimal alignment check

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 5 Aug 2019 09:01:09 -0700

On Sat, Aug 03, 2019 at 12:26:56PM +0000, George Fedorov wrote:
> Hi,
> 
> 
> I was directed here by the page at https://www.gnu.org/software/parted/bugs.shtml ; is there any bugreport tracker where one can file a bug instead ?
> 
> 
> Anyway, here's the problem ( manifested in parted 3.2 coming with Ubuntu 18.04 and checked vs. a manual build of the sources from http://ftp.gnu.org/gnu/parted/parted-3.2.tar.xz  ):

The 3.2 tar is *really* old at this point and should not really be used.

[snip]

> As it turns out, the root of all evil comes from here :
> 
> 
> =====
> 
> # cat /sys/block/sdi/queue/optimal_io_size
> 33553920
> =====
> 
> 
> So parted is not to blame, but the system. But from the user's point of view, it is quite hard to figure this out. And certainly the user deserves to know the actual values that parted considers to be of best performance -- I mean, pa->offset and pa->grain_size from parted.c::print_partition_alignment() shall probably be exposed in some way -- at least when it comes to a warning like the one above.

In commit 1726dbb4cd2dc4b19fe8d3c4b94e172fc0bd2c7c I added a message
that describes the failure with a bit more detail. It will print
something like:

<start> % <grain_size> != <offset>

I'm guessing Ubuntu doesn't have that patch, and the 3.2 tarball is
getting *really* old at this point (which is why I'm working toward a
3.3 release soon).

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted